#include<iostream>
#include<iomanip>
#include<fstream>
#include<string.h>
using namespace std;
struct adat{
    int k, sz;
    char nev[50], p[5];
} d,  v[101];
int n=0, ossz=0;

void beolvas()
{ ifstream be ("szavazatok.txt");
char s[30], z[30];
  n=0;
  while (be>>d.k)
  {
     be >> d.sz >> s >> z >> d.p;
     strcat(s," ");  strcat(s,z);  // a nevet egybe ragasztja
     strcpy(d.nev,s);
     v[n]=d; n++;
     ossz = ossz + d.sz;
  }
  be.close();
}

void kiir()
{ int i;
  for(i=0;i<n;i++)
    cout << v[i].k << " " << v[i].sz << " " << v[i].nev << " " << v[i].p << "\n";
    // { d=v[i];
    //   cout << d.k << " " << d.sz << " " << d.nev << " " << d.p << "\n";
    // }
}

void f3()
{ char s[20], z[20];
  int i, k=0;
  cout << "Csaladnev = "; cin >> s;
  cout << "Keresztnev = "; cin >> z;
  strcat(s," ");  strcat(s,z);
  for(i=0; i<n; i++)
     if( stricmp(v[i].nev,s)==0 )
  {
      k=1;
      cout << "Megvan, a szavazatai szama: " << v[i].sz <<"\n";
      break; // kilép a for-ból
  }
  if(k==0) cout << "Ilen nevu jelolt nem szerepel a nyilvantartasban!\n";
}

void f4() {
  cout << "A valasztason " << ossz << " allampolgar, a jogosultak " << setprecision(4) << ossz*100.0/12345 << "%-a vett reszt.\n";
}

void f5(){
  int i, x[5]={0};
  for(i=0; i<n; i++)
  {
      if(v[i].p[0]=='-') x[0] = x[0]+v[i].sz;
      if(v[i].p[0]=='G') x[1] += v[i].sz;
      if(v[i].p[0]=='H') x[2] += v[i].sz;
      if(v[i].p[0]=='T') x[3] += v[i].sz;
      if(v[i].p[0]=='Z') x[4] += v[i].sz;
  }

  if(x[1]!=0) cout<<"Gyumolcsevok Partja = " << setprecision(4) << x[1]*100.0/ossz << "%\n";
  if(x[2]!=0) cout<<"Husevok Partja      = " << setprecision(4) << x[2]*100.0/ossz << "%\n";
  if(x[3]!=0) cout<<"Tejivok Szovegsege  = " << setprecision(4) << x[3]*100.0/ossz << "%\n";
  if(x[4]!=0) cout<<"Zoldsegevok Partja  = " << setprecision(4) << x[4]*100.0/ossz << "%\n";
  if(x[0]!=0) cout<<"Fuggetlen jeloltek  = " << setprecision(4) << x[0]*100.0/ossz << "%\n";
}
int main()
{
   beolvas();
   kiir();
   //cout << "A helyhatosagi valasztason " << n << " kepviselojelolt indult\n";
   //f3();
   f4();
   f5();
}
